Announcement Announcement Module
Collapse
No announcement yet.
Roo1.2RC1 requirements on JVM? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Roo1.2RC1 requirements on JVM?

    I'm trying to use a build of openjdk7 for PowerPC to run Roo1.2RC1 or later. Nothing seems to load. See full crash log at Spring Roo1.2RC1 crash with openjdk7-macppc-fcs-fd-atomic.

    Can you seen any hints on why the incompatibility? Could it be just something with my OSGI path?
    Both Roo1.1.5 and Roo1.2M1 works without problems with this jdk7 build just as they do with the Apple-supplied jdk1.5.

    The JVM builds comes from Intricate Software. They say that this build is "not JNA-compatible", but I haven't seen that Spring Roo has JNA as a requirement?

    What are the requirements Spring Roo put on the JVM? Any specific libraries need to be supplied? Any suggestions on how to evaluate the JVM resources regarding the needs of Roo? The JVM is not my forté I'm afraid.

  • #2
    We needed to update the Felix versions to work with Oracle's JDK 7, but was not aware there was an issue with OpenJDK 7.

    Comment


    • #3
      Alan as you can read in another post from me: Building from source with openjdk7 I managed to compile Spring Roo 1.2 Git source with one problem at least. However, the build runs at least unlike the 1.2RC1 release on this version of openjdk7.

      If you'd care to take a quick look on the problematic toString method of DefaultMetadataService class of the org.springframework.roo.metadata package that I posted there, it would be most welcome.

      Comment

      Working...
      X